mdb_env(3)

NAME
mdb_env - Environment Flags

SYNOPSIS

  Macros

#define MDB_FIXEDMAP 0x01
#define MDB_NOSUBDIR 0x4000
#define MDB_NOSYNC 0x10000
#define MDB_RDONLY 0x20000
#define MDB_NOMETASYNC 0x40000
#define MDB_WRITEMAP 0x80000
#define MDB_MAPASYNC 0x100000
#define MDB_NOTLS 0x200000
#define MDB_NOLOCK 0x400000
#define MDB_NORDAHEAD 0x800000
#define MDB_NOMEMINIT 0x1000000

Detailed Description

Macro Definition Documentation

  #define MDB_FIXEDMAP 0x01
mmap at a fixed address (experimental)

  #define MDB_NOSUBDIR 0x4000
no environment directory

  #define MDB_NOSYNC 0x10000
don't fsync after commit

  #define MDB_RDONLY 0x20000
read only

  #define MDB_NOMETASYNC 0x40000
don't fsync metapage after commit

  #define MDB_WRITEMAP 0x80000
use writable mmap

  #define MDB_MAPASYNC 0x100000
use asynchronous msync when MDB_WRITEMAP is used

  #define MDB_NOTLS 0x200000
tie reader locktable slots to MDB_txn objects instead of to threads

  #define MDB_NOLOCK 0x400000
don't do any locking, caller must manage their own locks

  #define MDB_NORDAHEAD 0x800000
don't do readahead (no effect on Windows)

  #define MDB_NOMEMINIT 0x1000000
don't initialize malloc'd memory before writing to datafile

Author

Generated automatically by Doxygen for LMDB from the source code.